package com.post.excel.create.postPlan;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

@EqualsAndHashCode
@Data
public class DataChildrenBean implements Serializable {

    @Excel(name = "计划ID")
    private Long postPlanId;


    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "部门")
    private String deptName;


    @Excel(name = "检查时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date checkTime;

}
