package com.ruoyi.common.constant;

/**
 * 缓存的key 常量
 *
 * @author ruoyi
 */
public class CacheConstants
{
    /**
     * 登录用户 redis key
     */
//    public static final String LOGIN_TOKEN_KEY = "login_tokens:";
    public static final String LOGIN_TOKEN_KEY = "postcheck_login_tokens:";

    /**
     * 验证码 redis key
     */
//    public static final String CAPTCHA_CODE_KEY = "captcha_codes:";
    public static final String CAPTCHA_CODE_KEY = "postcheck_captcha_codes:";

    /**
     * 参数管理 cache key
     */
    //TODO $与人大金仓系统表冲突-修改表名
//    public static final String SYS_CONFIG_KEY = "sys_con:";
    public static final String SYS_CONFIG_KEY = "postcheck_sys_con:";

    /**
     * 字典管理 cache key
     */
//    public static final String SYS_DICT_KEY = "sys_dict:";
    public static final String SYS_DICT_KEY = "postcheck_sys_dict:";

    /**
     * 防重提交 redis key
     */
//    public static final String REPEAT_SUBMIT_KEY = "repeat_submit:";
    public static final String REPEAT_SUBMIT_KEY = "postcheck_repeat_submit:";

    /**
     * 限流 redis key
     */
//    public static final String RATE_LIMIT_KEY = "rate_limit:";
    public static final String RATE_LIMIT_KEY = "postcheck_rate_limit:";

    /**
     * 登录账户密码错误次数 redis key
     */
//    public static final String PWD_ERR_CNT_KEY = "pwd_err_cnt:";
    public static final String PWD_ERR_CNT_KEY = "postcheck_pwd_err_cnt:";
}
