package com.ruoyi.common.utils.poi;

import lombok.Data;

/**
 * 合并单元格的工具类
 */
@Data
public class MergedRegionUtils {

    public MergedRegionUtils(int firstRow, int lastRow, int firstCol, int lastCol) {
        this.firstRow = firstRow;
        this.lastRow = lastRow;
        this.firstCol = firstCol;
        this.lastCol = lastCol;
    }

    /**
     * 开始行
     */
    int firstRow;
    /**
     * 结束行
     */
    int lastRow;
    /**
     * 开始列
     */
    int firstCol;
    /**
     * 结束列
     */
    int lastCol;
}
