package com.ruoyi.postCheck.domain.problemStatistics;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@EqualsAndHashCode
@Data
@ApiModel(value = "统计查询-各部门整改率对比排名（职能管理/生产运行）")
public class CheckedProblemDeptRateView implements Serializable{

    private static final long serialVersionUID = -3016252278653115530L;

    @ApiModelProperty("排名")
    private Integer rating;

    @ApiModelProperty("部门ID")
    private Long deptId;
    @ApiModelProperty("部门名称")
    private String deptName;

    @ApiModelProperty("问题数量")
    private int problemCount;

    @ApiModelProperty("已整改数量")
    private Integer problemFinishCount;

    @ApiModelProperty("问题整改率")
    private Double problemRate;






}
