package com.ruoyi.postCheck.domain.problemStatistics;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

@EqualsAndHashCode
@Data
@ApiModel(value = "统计分析-岗检问题职责类别占比（职能管理）")
public class ProblemLevelView implements Serializable {


    private static final long serialVersionUID = -6982314157222524166L;

    @ApiModelProperty("一般问题整数量")
    private int problemLeveOne;

    @ApiModelProperty("重要题整数量")
    private int problemLeveTwo;


    @ApiModelProperty("一般问题整改率")
    private Double problemLeveOneRate;

    @ApiModelProperty("重要问题整改率")
    private Double problemLeveTwoRate;

}
