package com.ruoyi.postCheck.domain.excel;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 岗检计划列表导出Excel实体类
 */
@Data
public class PostPlanExcelBean implements Serializable {

    private static final long serialVersionUID = -3560791637599288771L;

    @Excel(name = "计划名称")
    private String name;

    @Excel(name = "计划内容")
    private String content;


    @Excel(name = "工作组")
    private String checkGroupName;

    @Excel(name = "检查小组")
    private String checkTeamName;

    @Excel(name = "检查人员", width = 30)
    private String checkedUserNames;

    @Excel(name = "受检部门")
    private String checkedDeptName;

    @Excel(name = "受检岗位", width = 60)
    private String checkedPostNames;

    @Excel(name = "检查时间", width = 20)
    private String checkedTimeView;

}
